JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.relate
Class EdgeEndBuilder

    java.lang.Object
      com.vividsolutions.jts.operation.relate.EdgeEndBuilder

    public class EdgeEndBuilder

extends java.lang.Object

Computes the `EdgeEnd`s which arise from a noded `Edge`.

Version:
  1.7

Constructor Summary
`EdgeEndBuilder()`

Method Summary
`void` `computeEdgeEnds(Edge edge, java.util.List l)` Creates stub edges for all the intersections in this Edge (if any) and inserts them into the graph.
`java.util.List` `computeEdgeEnds(java.util.Iterator edges)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeEndBuilder

    public EdgeEndBuilder()

Method Detail

### computeEdgeEnds

    public java.util.List computeEdgeEnds(java.util.Iterator edges)

### computeEdgeEnds

    public void computeEdgeEnds(Edge edge,
                                java.util.List l)

  Creates stub edges for all the intersections in this Edge (if any) and inserts them into the graph.

JTS Topology Suite version 1.13